<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Travel Life Pro
* @since Travel Life Pro 1.0.0
*/


if ( ! function_exists( 'travel_life_pro_copyright_text_partial' ) ) :
    // copyright text
    function travel_life_pro_copyright_text_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_powered_by_text_partial' ) ) :
    // powered by text
    function travel_life_pro_powered_by_text_partial() {
        $options = travel_life_pro_get_theme_options();
        return travel_life_pro_santize_allow_tag( $options['powered_by_text'] );
    }
endif;


//========Latest Post======//

if ( ! function_exists( 'travel_life_pro_latest_post_title_partial' ) ) :
    // blog title
    function travel_life_pro_latest_post_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['latest_post_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_latest_post_subtitle_partial' ) ) :
    // blog title
    function travel_life_pro_latest_post_subtitle_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['latest_post_subtitle'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_latest_post_btn_title_partial' ) ) :
    // blog btn title
    function travel_life_pro_latest_post_btn_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['latest_post_btn_title'] );
    }
endif;

//======== Testimonial ======//

if ( ! function_exists( 'travel_life_pro_testimonial_section_title_partial' ) ) :
    // blog title
    function travel_life_pro_testimonial_section_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['testimonial_section_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_testimonial_section_subtitle_partial' ) ) :
    // blog title
    function travel_life_pro_testimonial_section_subtitle_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['testimonial_section_subtitle'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_testimonial_section_btn_text_partial' ) ) :
    // blog btn title
    function travel_life_pro_testimonial_section_btn_text_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['testimonial_section_btn_text'] );
    }
endif;

//=====About section===//

if ( ! function_exists( 'travel_life_pro_about_title_partial' ) ) :
    // about title
    function travel_life_pro_about_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['about_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_about_sub_title_partial' ) ) :
    // about sub title
    function travel_life_pro_about_sub_title_partial() {
        $options = travel_life_pro_get_theme_options(); 
        return esc_html( $options['about_sub_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_about_description_partial' ) ) :
    // about description
    function travel_life_pro_about_description_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['about_description'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_about_btn_title_partial' ) ) :
    // about btn title
    function travel_life_pro_about_btn_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['about_btn_title'] );
    }
endif;

//======== Gallery =========//

if ( ! function_exists( 'travel_life_pro_gallery_title_partial' ) ) :
    // Gallery title
    function travel_life_pro_gallery_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_gallery_subtitle_partial' ) ) :
    // Gallery subtitle
    function travel_life_pro_gallery_subtitle_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['gallery_subtitle'] );
    }
endif;

//=======blog=====//
if ( ! function_exists( 'travel_life_pro_blog_title_partial' ) ) :
    // blog title
    function travel_life_pro_blog_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_blog_subtitle_partial' ) ) :
    // blog subtitle
    function travel_life_pro_blog_subtitle_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['blog_subtitle'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_blog_readmore_text_partial' ) ) :
    // blog btn title
    function travel_life_pro_blog_readmore_text_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['blog_readmore_text'] );
    }
endif;

//=======Featured News=====//
if ( ! function_exists( 'travel_life_pro_featured_news_title_partial' ) ) :
    // blog title
    function travel_life_pro_featured_news_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['featured_news_title'] );
    }
endif;

//=======Featured Post=====//
if ( ! function_exists( 'travel_life_pro_featured_post_title_partial' ) ) :
    // blog title
    function travel_life_pro_featured_post_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['featured_post_title'] );
    }
endif;

//========Latest News======//

if ( ! function_exists( 'travel_life_pro_latest_news_title_partial' ) ) :
    // blog title
    function travel_life_pro_latest_news_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['latest_news_title'] );
    }
endif;

//========= Most View =======//

if ( ! function_exists( 'travel_life_pro_most_view_title_partial' ) ) :
    // featured title
    function travel_life_pro_most_view_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return travel_life_pro_santize_allow_tag( $options['most_view_title'] );
    }
endif;

//====== Package ======//

if ( ! function_exists( 'travel_life_pro_package_title_partial' ) ) :
    // package title
    function travel_life_pro_package_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['package_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_package_btn_title_partial' ) ) :
    // package btn title
    function travel_life_pro_package_btn_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['package_btn_title'] );
    }
endif;


//========= Popular Destination ======//

if ( ! function_exists( 'travel_life_pro_popular_destination_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_popular_destination_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['popular_destination_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_popular_destination_subtitle_partial' ) ) :
    // popular destination subtitle
    function travel_life_pro_popular_destination_subtitle_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['popular_destination_subtitle'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_popular_destination_btn_title_partial' ) ) :
    // popular destination btn title
    function travel_life_pro_popular_destination_btn_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['popular_destination_btn_title'] );
    }
endif;


//========= Popular News ======//

if ( ! function_exists( 'travel_life_pro_popular_news_title_partial' ) ) :
    // popular news title
    function travel_life_pro_popular_news_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['popular_news_title'] );
    }
endif;


//========= Popular Product ======//

if ( ! function_exists( 'travel_life_pro_popular_product_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_popular_product_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['popular_product_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_popular_product_sub_title_partial' ) ) :
    // popular product sub_title
    function travel_life_pro_popular_product_sub_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['popular_product_sub_title'] );
    }
endif;

//========= Product collection ======//

if ( ! function_exists( 'travel_life_pro_product_collection_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_product_collection_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['product_collection_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_product_collection_sub_title_partial' ) ) :
    // popular product sub_title
    function travel_life_pro_product_collection_sub_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['product_collection_sub_title'] );
    }
endif;

//========= Recent Product ======//

if ( ! function_exists( 'travel_life_pro_recent_product_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_recent_product_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['recent_product_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_recent_product_sub_title_partial' ) ) :
    // popular product sub_title
    function travel_life_pro_recent_product_sub_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['recent_product_sub_title'] );
    }
endif;



//========= Popular post ======//

if ( ! function_exists( 'travel_life_pro_popular_post_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_popular_post_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['popular_post_title'] );
    }
endif;

//========= Recent News ======//

if ( ! function_exists( 'travel_life_pro_recent_news_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_recent_news_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['recent_news_title'] );
    }
endif;

//========= Recent post ======//

if ( ! function_exists( 'travel_life_pro_recent_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_recent_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['recent_title'] );
    }
endif;

//========= Sport News ======//

if ( ! function_exists( 'travel_life_pro_sport_news_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_sport_news_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['sport_news_title'] );
    }
endif;


//========= Three Column News ======//

if ( ! function_exists( 'travel_life_pro_three_column_news_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_three_column_news_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['three_column_news_title'] );
    }
endif;

//========= two Column News ======//

if ( ! function_exists( 'travel_life_pro_two_column_news_title_partial' ) ) :
    // popular destination title
    function travel_life_pro_two_column_news_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['two_column_news_title'] );
    }
endif;

//====== Subscription =====//


if ( ! function_exists( 'travel_life_pro_subscription_sub_title_partial' ) ) :
    // subscription sub title
    function travel_life_pro_subscription_sub_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['subscription_sub_title'] );
    }
endif;

if ( ! function_exists( 'travel_life_pro_subscription_title_partial' ) ) :
    // subscription title
    function travel_life_pro_subscription_title_partial() {
        $options = travel_life_pro_get_theme_options();
        return esc_html( $options['subscription_title'] );
    }
endif;