<?php
/**
 * Trip Search Section options
 *
 * @package Theme Palace
 * @subpackage Travel Life Pro
 * @since Travel Life Pro 1.0.0
 */

// Add Trip Search section
$wp_customize->add_section( 'travel_life_pro_trip_search_section', array(
	'title'             => esc_html__( 'Trip Search','travel-life-pro' ),
	'description'       => sprintf( '%1$s <a href="' . esc_url( admin_url( 'themes.php?page=tgmpa-install-plugins&plugin_status=install' ) ) . '" target="_blank"> %2$s </a> %3$s', esc_html__( 'To enable Trip Search. Download and Activate WP Travel plugin. ', 'travel-life-pro' ), esc_html__( 'Click Here', 'travel-life-pro' ), esc_html__( 'to download.', 'travel-life-pro' ) ),
	'panel'             => 'travel_life_pro_front_page_panel',
	'active_callback'   => 'travel_life_pro_is_first_design_enable',
) );

// Trip Search content enable control and setting
$wp_customize->add_setting( 'travel_life_pro_theme_options[trip_search_section_enable]', array(
	'default'			=> 	$options['trip_search_section_enable'],
	'sanitize_callback' => 'travel_life_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travel_Life_Pro_Switch_Control( $wp_customize, 'travel_life_pro_theme_options[trip_search_section_enable]', array(
	'label'             => esc_html__( 'Trip Search Section Enable', 'travel-life-pro' ),
	'section'           => 'travel_life_pro_trip_search_section',
	'on_off_label' 		=> travel_life_pro_switch_options(),
) ) );

