<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Travel Life Pro
 * @since Travel Life Pro 1.0.0
 */

if ( $options['home_layout'] == 'default-design' ) {
	return; 
}

// Add sidebar section
$wp_customize->add_section( 'travel_life_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','travel-life-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'travel-life-pro' ),
	'panel'               => 'travel_life_pro_theme_options_panel',
) );

foreach ( array( 'pro', 'default', 'second', 'third', 'fourth', 'fifth', 'sixth', 'seventh' ) as $list) {
	// Site layout setting and control.
	$wp_customize->add_setting( 'travel_life_pro_theme_options['.$list.'_sortable]', array(
		'default'			  => $options[$list.'_sortable'],
		'sanitize_callback'   => 'travel_life_pro_sanitize_sortable',
	) );

	$wp_customize->add_control( new travel_life_Pro_Customize_Sortable_Control ( $wp_customize, 'travel_life_pro_theme_options['.$list.'_sortable]', array(
		'label'               => esc_html__( 'Sortable Homepage', 'travel_life-pro' ),
		'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'travel_life-pro' ),
		'section'             => 'travel_life_pro_sortable',
		'type'                => 'sortable',
		'choices'			  => travel_life_pro_sortable_sections(),
		'active_callback'	  => 'travel_life_pro_is_'.$list.'_layout'

	) ) );
}
